package cn.com.poc.long_document.convert;

import cn.com.poc.long_document.entity.BizLongTextSummaryCacheEntity;
import cn.com.poc.long_document.model.BizLongTextSummaryCacheModel;


public class BizLongTextSummaryCacheConvert {

    public static BizLongTextSummaryCacheEntity modelToEntity(BizLongTextSummaryCacheModel model) {
        BizLongTextSummaryCacheEntity entity = new BizLongTextSummaryCacheEntity();
        entity.setId(model.getId());
        entity.setCorePoint(model.getCorePoint());
        entity.setSummary(model.getSummary());
        entity.setFileUrl(model.getFileUrl());
        entity.setFileMd5(model.getFileMd5());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizLongTextSummaryCacheModel entityToModel(BizLongTextSummaryCacheEntity entity) {
        BizLongTextSummaryCacheModel model = new BizLongTextSummaryCacheModel();
        model.setId(entity.getId());
        model.setCorePoint(entity.getCorePoint());
        model.setSummary(entity.getSummary());
        model.setFileUrl(entity.getFileUrl());
        model.setFileMd5(entity.getFileMd5());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }

}